Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77250 - man page for isblank lacke pertant information
Summary: man page for isblank lacke pertant information
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 09:32 UTC by greg hosler
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-31 21:20:55 UTC


Attachments (Terms of Use)

Description greg hosler 2002-11-04 09:32:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Note that isblank is only specified in ISO C99, however, if one
uses man pages to code by (and most programmers *do*), then the man page for
isblank (which is the ISALPHA man page, and covers the following libc functions:
isalnum,  isalpha,  isascii,  isblank,  iscntrl,  isdigit, isgraph,  islower, 
isprint,  ispunct,  isspace,  isupper, isxdigit, ought to make some reference to
this fact, and should equally inform the programmer that they want to #define
-std=c99, -std=gnu99 or -D_ISOC99_SOURCE

for this particular function (isblank()). The way the man page is presently
written, there is no reason to suspect that it is necessary to use an additional
#define (or -D command line), as all functions in "man isblank()" are painted
with the same brush.

In the same way that man pages include "#include" information, this man page
should include #define information, where appropriate. (Note the only disclaimer
to isblank is under the CONFORMING TO section, which states "isblank() is a GNU
extension"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See bug 77246
2.
3.
	

Actual Results:  Compile warnings, and possible run time errors if used without
the proper type of arguements.

Additional info:

See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=77246

Comment 1 Jakub Jelinek 2002-11-04 09:38:12 UTC
Note that isblank is a GNU extension too if not compiling ISO C99 source,
in that case you should -D_GNU_SOURCE.

Comment 2 Eido Inoue 2003-07-31 21:20:55 UTC
The man pages aren't tied to a particular version. For detailed information
about glibc/gcc features, the info pages included with those pages are the
authoritative source.


Note You need to log in before you can comment on or make changes to this bug.